DESKFLOW-CLIENT(1)

NAME
deskflow-client - Keyboard and mouse sharing utility (Client)

SYNOPSIS
deskflow-client [OPTIONS]

DESCRIPTION
Keyboard and mouse sharing utility

OPTIONS

-h,--help
    Print this help message and exit

--config-toml TEXT
    Use TOML configuration file

Usage: deskflow-client [--address <address>] [--yscroll <delta>] [--sync-language] [--invert-scroll] [--display <display>] [--daemon|--no-daemon] [--name <screen-name>] [--restart|--no-restart] [--debug <level>] <server-address>

Connect to a Deskflow mouse/keyboard sharing server.

-a, --address <address>
    local network interface address.

-d, --debug <level>
    filter out log messages with priority below level. level may be: FATAL, ERROR, WARNING, NOTE, INFO, DEBUG, DEBUG1, DEBUG2.

-n, --name <screen-name> use screen-name instead the hostname to identify
    this screen in the configuration.

-1, --no-restart
    do not try to restart on failure.

* --restart restart the server automatically if it fails.

-l  --log <file>
    write log messages to file.

--enable-crypto
    enable TLS encryption.

--tls-cert
    specify the path to the TLS certificate file.

-f, --no-daemon
    run in the foreground.

* --daemon run as a daemon.

--yscroll <delta>
    defines the vertical scrolling delta, which is 120 by default.

--sync-language
    enable language synchronization.

--invert-scroll
    invert scroll direction on this computer.

--display <display>
    when in X mode, connect to the X server at <display>.

-h, --help
    display this help and exit.

--version
    display version information and exit.

* marks defaults.

The server address is of the form: [<hostname>][:<port>]. The hostname must be the address or hostname of the server. The port overrides the default port, 24800.

COPYRIGHT
Copyright © 2024-2025 Deskflow Devs
Copyright © 2012-2025 Symless Ltd.
Copyright © 2009-2012 Nick Bolton
Copyright © 2002-2009 Chris Schoeneman

SEE ALSO
deskflow(1), deskflow-client(1), deskflow-server(2)

All documentation is on the web, so please point your browser at <https://github.com/deskflow/deskflow/wiki> and surf away.